<script lang="ts">
	import type { Choice } from '$lib/domains/RPS.type';
	import rockIcon from '$lib/images/icon-rock.png';
	import paperIcon from '$lib/images/icon-paper.png';
	import scissorIcon from '$lib/images/icon-scissor.png';

	export let group: Choice;
	export let value: Choice;
	export let handleClick: (value: Choice) => void;
	export let playerType: string;
	export let disabled: boolean;

	let icon: string;

	$: icon = value === 'rock' ? rockIcon : value === 'paper' ? paperIcon : scissorIcon;
</script>

<label
	class={`${group === value ? 'selected' : ''} ${group !== value && group ? 'unselected' : ''} ${playerType}`}
>
	<input type="radio" bind:group {value} on:click={() => handleClick(value)}/>
	<img class="icon" src={icon} alt={value} />
	<span>{value}</span>
</label>

<style>
	label {
		flex: 1;
		display: flex;
		flex-direction: column;
		align-items: center;
		margin-bottom: 1rem;
		padding: 0.2rem;

		border: 1px solid var(--color-bg-2);
		border-radius: 0.5rem;
		transition: all 0.2s ease-in-out;
	}
	label:hover {
		cursor: pointer;
		transform: scale(1.05);
	}
	label.selected {
		transform: scale(1.05);
		opacity: 1;
	}
  label.player:hover, label.player.selected {
		border: 1px solid var(--color-player);
  }
  label.computer:hover, label.computer.selected {
    border: 1px solid var(--color-opponent);
  }
	label.unselected {
    cursor: default;
    pointer-events: none;
		border: 1px solid var(--color-bg-2);
		transform: scale(0.95);
		opacity: 0.7;
	}

	.icon {
		width: 100px;
		height: 100px;
	}

	label input {
		display: none;
	}
</style>
